stages:
  - lint

lint-terraform:
  image:
    name: "hashicorp/terraform:1.6"
    entrypoint:
      - "/usr/bin/env"
      - "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
  stage: lint
  before_script:
    - cd $(ls -1d */)
    - pwd
    - terraform -version
  script:
    - terraform init
    - terraform validate
    - terraform fmt -check -recursive -diff
